> For the complete documentation index, see [llms.txt](https://docs.imerit.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.imerit.net/data/importing-and-exporting-annotations/exporting-annotations/ango-export-format/stage-history.md).

# Stage History

The `stageHistory` object is part of the [`task`](/data/importing-and-exporting-annotations/exporting-annotations/ango-export-format/asset/task.md) object in the Ango Annotation Format.

Each asset, in Ango Hub, goes through workflow stages. The `stageHistory` object contains a 'snapshot' of the `task` object of the asset as it left each stage before the stage of which the export was taken.

For example, if the asset went through *Start*, then a *Label* stage, then *Review* then *Complete*, and you get the export of all assets in the *Complete* stage, the `stageHistory` object of all assets in the export will contain the `task` object of the asset as it left each previous stage, so *Start*, *Label*, and *Review*.

## General Structure

{% code fullWidth="true" %}

```json
"stageHistory" : [
    { <task object of asset as it was in first stage },
    { <task object of asset as it was in second stage },
    { ... }
]
```

{% endcode %}

<details>

<summary>Sample Stage History</summary>

```json
{
  "stageHistory": [
    {
      "stage": "Start",
      "stageId": "Start",
      "duration": 0,
      "completedAt": "2023-09-01T08:03:00.751Z",
      "tools": [],
      "classifications": [],
      "relations": []
    },
    {
      "stage": "Label",
      "stageId": "Label",
      "duration": 8217,
      "completedAt": "2023-09-01T08:05:21.104Z",
      "completedBy": "lorenzo@example.net",
      "tools": [
        {
          "bounding-box": {
            "x": 311.9559633027523,
            "y": 239.8383838383839,
            "height": 220.44444444444446,
            "width": 132.40366972477065
          },
          "objectId": "3d94d5ead7fcc14859ee425",
          "classifications": [],
          "schemaId": "b1c6805d054f0e44ae11500",
          "title": "bb"
        }
      ],
      "classifications": [],
      "relations": [],
      "brushDataUrl": "https://angohub-private-assets.s3.eu-central-1.amazonaws.com/64f19ab4c54a4d0015562a8f-1693555519699.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Credential=AKIATAGM6WLISC5CRH7S%2F20230906%2Feu-central-1%2Fs3%2Faws4_request&X-Amz-Date=20230906T103943Z&X-Amz-Expires=120000&X-Amz-Signature=5d45f1475af4c9bdfa420c8c528ec132438b393ebfa81fd3cb20fc1f534a99b7&X-Amz-SignedHeaders=host&x-id=GetObject"
    }
  ]
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.imerit.net/data/importing-and-exporting-annotations/exporting-annotations/ango-export-format/stage-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
